#include <idc.idc>

static undo(addr, size)
{
   auto i;
    for(i=0;i<size;i++) {
        MakeUnkn(addr+i,0);
    }
}

static main(void) {
  auto i, RomImgHdr, ptr, err, exportptr, funcptr;
  auto numexport, name, funcname, filename, handle, line, nameidx, index;
  
  filename = AskFile(0,"*.IDT","*.IDT"); 

  if (filename == "") return;
  handle = fopen(filename, "r");
  line = readstr(handle);
  
  nameidx = strstr(line," ");
  index = atol(substr(line,0,nameidx));
  nameidx = strstr(line,"=");
  name = substr(line,nameidx+1,-1);
  name = substr(name,0,strlen(name)-1);
  index = atol(substr(line,0,nameidx));

  Message("Processing %s with %s\n",name, filename);

  i = 0;
  do {
    auto symbol, symbolidx, ord;

    line = readstr(handle);
    if (line == -1) Message("End of file\n");
    else {
        symbolidx = strstr(line," ");
        ord = atol(substr(line,0,symbolidx));
        symbolidx = strstr(line,"=");
        symbol = substr(line,symbolidx+1, -1);
        symbol = substr(symbol,0,strlen(symbol)-1);
        //symbol = Demangle(symbol, GetLongPrm(INF_LONG_DN));
        RenameEntryPoint(ord,symbol);
        i = i + 1;
        if (i<10) Message("read: %d %s\n",ord,symbol);
        }
  } while (line != -1);

  fclose(handle);

  return;

}